expected_output 1.2.2

Dart native

Easily write and test multiline input and expected output, and avoid test case data clutter in your test logic.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  expected_output: ^1.2.2

2. Install it

You can install packages from the command line:

with pub:

$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:expected_output/expected_output.dart';
0
likes
100
pub points
32%
popularity

Easily write and test multiline input and expected output, and avoid test case data clutter in your test logic.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

srawlins@google.com

License

BSD (LICENSE)

Dependencies

path, pedantic, test

More

Packages that depend on expected_output